import { Location } from '@angular/common';
import { EventEmitter, OnInit, QueryList } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ActivatedRoute, Router } from '@angular/router';
import { TableFilter } from '@yukawa/chain-base-angular-domain';
import { TableRowColumnDirective } from '../table-content/table-content.component';
import { RouteDesc, TableLayoutInput } from '../types';
import * as i0 from "@angular/core";
export declare class TableContentResponsiveComponent implements OnInit {
    private router;
    private activatedRoute;
    private location;
    _tableLayoutInput: TableLayoutInput;
    expandedElement: any;
    set tableLayoutInput(tl: TableLayoutInput);
    get tableLayoutInput(): TableLayoutInput;
    rowColumnDirectives: QueryList<TableRowColumnDirective>;
    rowColumnTemplates: Map<string, TableRowColumnDirective>;
    hasToolbar: boolean;
    hasSearch: boolean;
    hasAddButton: boolean;
    hasBackButton: boolean;
    hasPaginator: boolean;
    tableRowClick: EventEmitter<any>;
    addRoute: RouteDesc;
    private paginator;
    private sort;
    set matSort(ms: MatSort);
    set matPaginator(ms: MatPaginator);
    displayedColumns: String[];
    columnNames: String[];
    constructor(router: Router, activatedRoute: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    getPageSizeOptions(): number[];
    getDefaultPageSize(): number;
    add(): void;
    onRowClick(row: any): void;
    reload(filter: TableFilter | any): boolean;
    navigateBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableContentResponsiveComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableContentResponsiveComponent, "base-table-content-responsive", never, { "tableLayoutInput": { "alias": "tableLayoutInput"; "required": false; }; "hasToolbar": { "alias": "hasToolbar"; "required": false; }; "hasSearch": { "alias": "hasSearch"; "required": false; }; "hasAddButton": { "alias": "hasAddButton"; "required": false; }; "hasBackButton": { "alias": "hasBackButton"; "required": false; }; "hasPaginator": { "alias": "hasPaginator"; "required": false; }; }, { "tableRowClick": "tableRowClick"; }, ["rowColumnDirectives"], ["[controls]"], false, never>;
}
