import { Location } from '@angular/common';
import { EventEmitter, OnInit, QueryList, TemplateRef } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ActivatedRoute, Router } from '@angular/router';
import { TableFilter } from '@yukawa/chain-base-angular-domain';
import { FilteredTableSource } from '@yukawa/chain-base-angular-store';
import { RouteDesc, TableLayoutInput } from '../types';
import * as i0 from "@angular/core";
export declare class TableRowColumnDirective {
    templateRef: TemplateRef<any>;
    rowColumn: string;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TableRowColumnDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableRowColumnDirective, "ng-template[rowColumn]", never, { "rowColumn": { "alias": "rowColumn"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class TableContentComponent implements OnInit {
    private router;
    private activatedRoute;
    private location;
    _tableLayoutInput: TableLayoutInput;
    dataSource: FilteredTableSource<any, any>;
    set tableLayoutInput(tl: TableLayoutInput);
    get tableLayoutInput(): TableLayoutInput;
    rowColumnDirectives: QueryList<TableRowColumnDirective>;
    rowColumnTemplates: Map<string, TableRowColumnDirective>;
    hasToolbar: boolean;
    hasSearch: boolean;
    hasAddButton: boolean;
    hasBackButton: boolean;
    hasPaginator: boolean;
    tableRowClick: EventEmitter<any>;
    addRoute: RouteDesc;
    backRoute: RouteDesc;
    private paginator;
    private sort;
    set matSort(ms: MatSort);
    set matPaginator(ms: MatPaginator);
    displayedColumns: String[];
    columnNames: String[];
    constructor(router: Router, activatedRoute: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    getPageSizeOptions(): number[];
    getDefaultPageSize(): number;
    add(): void;
    back(): void;
    onRowClick(row: any): void;
    reload(filter: TableFilter | any): boolean;
    navigateBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableContentComponent, "base-table-content", never, { "tableLayoutInput": { "alias": "tableLayoutInput"; "required": false; }; "hasToolbar": { "alias": "hasToolbar"; "required": false; }; "hasSearch": { "alias": "hasSearch"; "required": false; }; "hasAddButton": { "alias": "hasAddButton"; "required": false; }; "hasBackButton": { "alias": "hasBackButton"; "required": false; }; "hasPaginator": { "alias": "hasPaginator"; "required": false; }; }, { "tableRowClick": "tableRowClick"; }, ["rowColumnDirectives"], ["[controls]"], false, never>;
}
